Subject: Re: Need an older gcc version on my cygwin due to poor performance on gcc-3.x series.
From: Danny Smith <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>, Danny Smith <[email-masked]>
Cc: Cygwin <[email-masked]>, [email-masked]
Date: Mon, 01 Nov 2004 15:55:29 +1300

Gerrit P. Haase wrote:
> Danny Smith wrote:
>
>> Gerrit wrote:
>>
>>
>>> Ole Jacob Hagen wrote:
>>
>>
>>>> Hi,
>>>>
>>>> I've compiled Octave-2.1.60 with gcc-3.3.3 successfully, but the
>>>> performance is pretty bad with gcc-3.3.3.
>>>> The performance should of Octave is much better, when compiling it
>>>> with gcc-3.2.x instead.
>>
>>
>>> It would make more sense to identify the problem and do s.th.
>>> about it to resolve this issue then.
>>
>>
>>  http://gcc.gnu.org/bugzilla/show_bug.cgi?id=14563
>
> Wow, this is an interesting story about exception handling.
>
> What I'm asking myself now:
>
> Should we try again to use dwarf2 exceptions?
>

My personal builds of gcc-3.4.x are bullt with dwarf2 EH enabled.  No
problems But  I don't use w32 callbacks within functions that throw.  I
had never even thought of doing that, but I don't think much.anymore

> Should we try to find the reason why SjLj exceptions are slower on
> Cygwin than for the rest of the world?
>
Most of the rest of the GCC world has abandoned sjlj EH as inefficient
Look  within function prologues.

Danny
>
> Gerrit

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/